QGIS Application - Feature request #7192
system specific location of qgis settings
2013-02-20 07:09 AM - William Kyngesburye

Status: Closed

Priority: Normal

Assignee: Nathan Woodrow

Category: Build/Install

Pull Request or Patch stupplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 16238
Description

(couldn't reopen #1442)

Use a system-specific location for QGIS plugins and other generated user support files (IOW, move the ~/.qgis folder). For example
~\\Application Data\\qgis in Windows XP, and ~/Library/Application Support/QGIS on OS X.

See #1442 for details and previous discussion.

Related issues:
Duplicates QGIS Application - Feature request # 1442: system specific locatio... Closed

History

#1 - 2013-06-12 06:41 AM - William Kyngesburye

Folders should be versioned. ~\\Application Data\\qgis2 and ~/Library/Application Support/QGIS2. Or better, .../qgis/2 and .../QGIS/2.

#2 - 2013-06-12 06:43 AM - Nathan Woodrow

Isn't this currently the case? It is on Windows and the other platforms.

#3 - 2013-06-12 06:58 AM - Sandro Santilli

| think version should only be used when the format of the configuration changes between versions. Otherwise it's only an annoyance to force config

separation among versions.

#4 - 2013-08-23 08:48 AM - Paolo Cavallini

- Target version changed from Version 2.0.0 to Future Release - High Priority

#5 - 2016-05-24 07:30 AM - Paolo Cavallini
- Priority changed from High to Normal
- Status changed from Open to Feedback

#6 - 2017-05-01 12:48 AM - Giovanni Manghi
- Easy fix? set to No

#7 - 2017-05-10 05:28 PM - Regis Haubourg

- Description updated

- Status changed from Feedback to In Progress
See the QEP here, [[https://github.com/qgis/QGIS-Enhancement-Proposals/issues/82]], things are moving

#8 - 2017-07-16 03:27 PM - Regis Haubourg
- Assignee set to Nathan Woodrow

Nathan, may | affect this to you ? We're trying to clean the "in progress" list of issues for the 3.0 final sprint :)

#9 - 2017-11-13 08:35 AM - Nathan Woodrow
- Resolution set to fixed/implemented
- Status changed from In Progress to Closed

No longer valid after user profiles have been added.
